Bug 475878 - plymouth-set-default-plugin returns ".so"
plymouth-set-default-plugin returns ".so"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 16:38 EST by Ralf Corsepius
Modified: 2009-12-18 02:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:15:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-12-10 16:38:01 EST
Description of problem:

When trying the instructions given in
https://bugzilla.redhat.com/show_bug.cgi?id=470628#c52
I encountered the following:

# mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
The default plymouth plugin (.so) doesn't exist

The origin of this warning seems to have been a missing 
/usr/[lib|lib64]/default.so, a case, plymouth-set-default-plugin doesn't seem to handle correctly.

Version-Release number of selected component (if applicable):
# rpm -qa 'plymouth*'
plymouth-libs-0.6.0-0.2008.11.17.3.fc10.i386
plymouth-0.6.0-0.2008.11.17.3.fc10.i386
plymouth-scripts-0.6.0-0.2008.11.17.3.fc10.i386
plymouth-utils-0.6.0-0.2008.11.17.3.fc10.i386
plymouth-gdm-hooks-0.6.0-0.2008.11.17.3.fc10.i386

Steps to Reproduce:
1. rm /usr/[lib|lib64]/default.so
2. plymouth-set-default-plugin
  
Actual results:
# plymouth-set-default-plugin
.so

This result is bogus.

Expected results:
No idea.


Additional info:
* I had not deliberatly/knowlingly removed default.so, when running the mkinitrd command above. For some reasons unknown to me, it was 
"simply missing" (Wild guess: %post/%pre scriptlet bugs).
* According to the mkinitrd devs, the result plymouth-set-default-plugin returned above, is likely dangerous and could have resulted in an unbootable kernel image (I haven tried to validate this claim)
Comment 1 Ray Strode [halfline] 2008-12-10 16:49:43 EST
Nah, there's no danger. just a harmless warning.

Should be fixed in rawhide.  I guess I could do a F-10 update.
Comment 2 Jan ONDREJ 2008-12-11 03:51:07 EST
May be it's better to automatically choose "text.so" plugin, if no parameter is set for plymouth-set-default-plugin.

And on my system upgraded using yum there is no /usr/lib/plymouth/default.so .
Can you add this to postinstall script?

if [ ! -e /usr/lib/plymouth/default.so ]; then
  plymouth-set-default-plugin text
fi

This sets text plugin, if no other plugin already set. It's useful on update.
When updating, I can watch to upgrade process and after installation of plymouth I can do this manually, but I have to do this before kernel is updated, otherwise there will be an unnecessary "The default plymouth plugin (.so) doesn't exist" message and plymouth is not started in my initrd image.
Comment 3 Ralf Corsepius 2008-12-11 04:46:04 EST
(In reply to comment #2)
> And on my system upgraded using yum there is no /usr/lib/plymouth/default.so .
Ah! This might explain my issue, too. 

The machines, exposing the issue, also had been yum-upgraded from FC9 to FC10.
Comment 4 Fedora Update System 2008-12-11 16:13:06 EST
plymouth-0.6.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/plymouth-0.6.0-1.fc10
Comment 5 Fedora Update System 2008-12-13 10:06:36 EST
plymouth-0.6.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plymouth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11250
Comment 6 Jan ONDREJ 2008-12-14 02:46:46 EST
With plymouth 0.6.0 there is still an message when upgrading kernel:

  Installing     : kernel-PAE                                    [199/471]
resolveDevice: device spec expected
No default plymouth plugin is set

Please, add this to postinstall script of plymouth:

if [ ! -e /usr/lib/plymouth/default.so ]; then
  plymouth-set-default-plugin text
fi

or:

[ -e /usr/lib/plymouth/default.so ] || plymouth-set-default-plugin text
Comment 7 John Florian 2009-04-14 15:23:01 EDT
I agree with Jan in comment #6 -- the error is thrown when mkinitrd is ran.  I don't know if it adversely affects the resultant initrd or not.  Mine didn't work, but for other, unrelated issues I'm sure.
Comment 8 Bug Zapper 2009-11-18 05:25:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:15:00 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.